/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class KeyboardInput
    {
        public const string URL = "ui://hxr7rc7p5dtx1b";

        public Controller state;
        public GImage bottomLine;
        public GTextField TextKeyboard;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            state = GetController("state");
            bottomLine = (GImage)GetChild("bottomLine");
            TextKeyboard = (GTextField)GetChild("TextKeyboard");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}